package.path = [[.\lua_lib\?.lua;]] .. package.path
package.cpath = [[.\lua_lib\?.dll;]] .. package.cpath
local 字集库 = require("u8_to_a")
local 文件系库 = require("lfs")
local 基算库 = require(字集库.u8_to_a("算机_程语_月_基类_数_基算"))
local 前缀库 = require(字集库.u8_to_a("算机_程语_月_基类_文_前缀"))
local 文库 = require(字集库.u8_to_a("算机_程语_月_基类_文"))
local 后缀库 = require(字集库.u8_to_a("算机_程语_月_基类_文_后缀"))
local 历排库 = require(字集库.u8_to_a("算机_程语_月_基类_能_传能_历_基类_表_排_取全"))
local 历对库 = require(字集库.u8_to_a("算机_程语_月_基类_能_传能_历_基类_表_对_取全"))
local 历文库 = require(字集库.u8_to_a("算机_程语_月_基类_能_传能_历_基类_文_取全"))
local 数库 = require(字集库.u8_to_a("算机_程语_月_基类_数"))
local 基类库 = require(字集库.u8_to_a("算机_程语_月_基类_能_传能_基类"))
local 筛卡库 = require(字集库.u8_to_a("游戏王_则拟器_原版_残局_卡_全筛"))
local 卡档库 = require(字集库.u8_to_a("游戏王_则拟器_原版_卡档"))
local 排算库 = require(字集库.u8_to_a("算机_程语_月_基类_表_排_基类_数"))
local 删注库 = require(字集库.u8_to_a("算机_程语_月_注_删_不虑字串"))
local 读文件库 = require(字集库.u8_to_a("算机_基统_窗群_文件系_小文件_读"))
local 写文件库 = require(字集库.u8_to_a("算机_基统_窗群_文件系_小文件_写"))
local string = string
local os = os
local table = table
local d = {}
--~ 卡对排
function d.筛有效果卡(o1_0)
  return 历排库.历排(o1_0, 筛卡库.筛有效果卡)
  end
--~ 卡编排
function d.取卡对_一维(o1_0)
  return 历排库.历排(o1_0, 卡档库.取卡对)
  end
--~ 文
function d.局筛卡编(o1)
  local k1_0
  --~ 卡编排
  k1_0 = 历文库.历文(o1, string.gmatch, "[^\n]+")
  k1_0 = 历排库.历排(k1_0, string.match, "Debug%.AddCard.+")
  return 历排库.历排(k1_0, string.match, "[0-9]+")
  end
--~ 文
function d.局筛血(o1)
  local k1_0
  --~ 血排
  k1_0 = 历文库.历文(o1, string.gmatch, "[^\n]+")
  k1_0 = 历排库.历排(k1_0, string.match, "Debug%.SetPlayerInfo.+")
  k1_0 = 历排库.历排(k1_0, string.gsub, "[0-9]+", "", 1)
  return 历排库.历排(k1_0, string.match, "[0-9]+")
  end
--~ 文
function d.局筛则数(o1)
  local k1
  local k1_0
  --~ 则数排
  k1_0 = 历文库.历文(o1, string.gmatch, "[^\n]+")
  k1_0 = 历排库.历排(k1_0, 前缀库.全筛前缀, "Debug.ReloadFieldBegin")
  --~ 则数
  k1 = string.match(k1_0[1], "[0-9]")
  return k1 or 3
  end
--~ 卡对排
--~ 血排
function d.荐名(o1_0, o2_0)
  local k1, k2, k3
  local k1_0
  --~ 攻击力排
  k1_0 = 历排库.历排(o1_0, 筛卡库.筛怪兽卡)
  k1_0 = 历排库.历排(k1_0, 筛卡库.筛攻击力)
  --~ 总攻
  k1 = 排算库.总和(k1_0)
  --~ 总血
  k2 = 排算库.总和(o2_0)
  --~ 荐名
  k3 = 基算库.除法(k1, k2)
  k3 = 数库.指数次(k3, 2)
  if 数库.是否错值(k3) then
    return 0
  else
    k3 = 数库.几位小数(k3, 1)
    return tostring(基算库.乘法(k3, 1000))
    end
  end
--~ 文件
--~ 编号
--~ 文件路
function d.察编号(o1, o2, o3)
  local k1
  k1 = string.gsub(o1, 文库.连("Debug", "%.", "SetAIName", "[^\n]+"), 文库.连([[Debug.SetAIName("]], o2, [[")]]))
  if k1 == o1 then
  else
    写文件库.写文件(o3, k1)
    end
  end
--~ 目对
function d.残局改名(o1_0)
  local k1_0, k2_0, k3_0, k4_0, k5_0, k6_0, k7_0, k8_0, k9_0
  local k10_0, k11_0, k12_0
  --~ 文件名排
  k1_0 = 历文库.历文(o1_0.文件目, 文件系库.dir)
  k1_0 = 历排库.历排(k1_0, 后缀库.全筛后缀, ".lua")
  --~ 文件排
  k2_0 = 历排库.历排(k1_0, 后缀库.全筛后缀, ".lua")
  k2_0 = 历排库.历排(k2_0, 前缀库.加前缀, o1_0.文件目)
  k2_0 = 历排库.历排(k2_0, 读文件库.读文件)
  k2_0 = 历排库.历排(k2_0, 删注库.删注)
  --~ 则数排
  k3_0 = 历排库.历排(k2_0, d.局筛则数)
  --~ 各文件的卡编排
  k4_0 = 历排库.历排(k2_0, d.局筛卡编)
  --~ 各文件的卡对排
  k5_0 = 历排库.历排(k4_0, d.取卡对_一维)
  --~ 有效果卡的卡对排
  k6_0 = 历排库.历排(k5_0, d.筛有效果卡)
  --~ 有效果卡的张数排
  k7_0 = 历排库.历排(k6_0, table.maxn)
  --~ 血排
  k11_0 = 历排库.历排(k2_0, d.局筛血)
  --~ 荐名排
  k8_0 = 历排库.历二排(k6_0, k11_0, d.荐名)
  --~ 新名排
  k9_0 = 历排库.历排(k1_0, string.gsub, 字集库.u8_to_a(文库.连("　", ".+")), "")
  --~ 编号排
  k10_0 = 历排库.历排(k1_0, string.gsub, 字集库.u8_to_a(文库.连("　", ".+")), "")
  k9_0 = 历排库.历排(k9_0, string.gsub, 文库.连("%.", "lua", "$"), "")
  for o1 = 1, #k1_0 do
    k9_0[o1] = 文库.连(字集库.a_to_u8(o1_0.文件目), 字集库.a_to_u8(k9_0[o1]), "　", k3_0[o1], "_", 数库.几位整数(k7_0[o1], 2))
    if k8_0[o1] == 0 then
      k9_0[o1] = 文库.连(k9_0[o1], ".", "lua")
    else
      k9_0[o1] = 文库.连(k9_0[o1], "_", k8_0[o1], ".", "lua")
      end
    end
  k1_0 = 历排库.历排(k1_0, 前缀库.加前缀, o1_0.文件目)
  k9_0 = 历排库.历排(k9_0, 字集库.u8_to_a)
  历排库.历二排(k1_0, k9_0, os.rename)
  k10_0 = 历排库.历排(k10_0, 字集库.a_to_u8)
  --~ 文排
  k12_0 = 历排库.历排(k9_0, 读文件库.读文件)
  历排库.历三排(k12_0, k10_0, k9_0, d.察编号)
  end
d.目对 = {
  ["文件目"] = "../single/"
  , ["卡档路"] = [[D:\install\YGOPro\cards.cdb]]
  }
d.目对 = 历对库.历值(d.目对, 基类库.操类, "string", 字集库.u8_to_a)
卡档库.启卡档(d.目对.卡档路)
d.残局改名(d.目对)
